Loading...
Searching...
No Matches
Opm::AquiferInterface< TypeTag > Class Template Referenceabstract
Inheritance diagram for Opm::AquiferInterface< TypeTag >:

## Public Types

using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | RateVector = GetPropType<TypeTag, Properties::RateVector>
using | Simulator = GetPropType<TypeTag, Properties::Simulator>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>

## Public Member Functions

| AquiferInterface (int aqID, const Simulator &simulator)
virtual void | initFromRestart (const data::Aquifers &aquiferSoln)=0
virtual void | initialSolutionApplied ()=0
virtual void | beginTimeStep ()=0
virtual void | endTimeStep ()=0
virtual data::AquiferData | aquiferData () const =0
virtual void | computeFaceAreaFraction (const std::vector< Scalar > &total_face_area)=0
virtual Scalar | totalFaceArea () const =0
template<class Context>
void | addToSource (RateVector &rates, const Context &context, const unsigned spaceIdx, const unsigned timeIdx)
virtual void | addToSource (RateVector &rates, const unsigned cellIdx, const unsigned timeIdx)=0
int | aquiferID () const

## Protected Member Functions

bool | co2store_or_h2store_ () const
int | phaseIdx_ () const

## Protected Attributes

const int | aquiferID_ {}
const Simulator & | simulator_

The documentation for this class was generated from the following file:

- opm/simulators/aquifers/AquiferInterface.hpp